## qmlglsrc

qmlglsrc

## Properties

gboolean | use-default-fbo | Read / Write
gpointer | window | Read / Write

## Types and Values

struct | GstQtSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstQtSrc

## Description

## Synopsis

### Element Information

plugin | qmlgl
author | Multimedia Team <shmmmw@freescale.com>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstQtSrc

    struct GstQtSrc;

Opaque GstQtSrc object

## Property Details

### The `“use-default-fbo”` property

      “use-default-fbo”          gboolean

When set it will not create a new FBO for the QML render thread.

Owner: GstQtSrc

Flags: Read / Write

Default value: FALSE

### The `“window”` property

      “window”                   gpointer

The QQuickWindow to place in the object hierarchy.

Owner: GstQtSrc

Flags: Read / Write